/*
 * $Id: cilk-compat.h,v 1.3 1998/07/15 09:31:48 fengmd Exp $
 */
/*
 * $Log: cilk-compat.h,v $
 * Revision 1.3  1998/07/15 09:31:48  fengmd
 * Support user-inlet and library, merge changes from the main branch.
 *
 * Revision 1.2  1998/06/01 14:32:53  fengmd
 * Merge changes from the main chunk.
 *
 * Revision 1.1.1.1  1998/03/19 04:43:36  astark
 * Initial creation of umbrella/all-sets implementation
 *
 * Revision 1.1.1.1.2.3  1997/06/16 16:00:32  fengmd
 * Remerge from the base for Version 5.0.1.
 *
 * Revision 1.3  1997/03/01 17:42:39  athena
 * Massive cleanup and merging --- since I was still using the
 * old repository :-(
 *
 * Revision 1.2  1997/02/26 15:33:20  fengmd
 * abort is defined as empty in cilk-sequential.h, C_abort is added in cilk-lib.h,
 * assert is defined as CILK_ASSERT in cilk-compat.h
 *
 * Revision 1.1.1.1  1997/02/14 23:07:13  strumpen
 * Create Cilk Repository
 *
 * Revision 1.1.1.1  1997/02/14 22:04:31  strumpen
 * Create cilk repository
 *
 * Revision 1.2  1997/02/04 02:53:50  randall
 * Updated header file inclusions.
 *
 * Revision 1.1.1.1  1996/12/03 22:20:59  athena
 * Created repository for Cilk 5 (a.k.a. Milk)
 *
 */

/*
 * Copyright (c) 1996 Massachusetts Institute of Technology
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to use, copy, modify, and distribute the Software without
 * restriction, provided the Software, including any modified copies made
 * under this license, is not distributed for a fee, subject to
 * the following conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE MASSACHUSETTS INSTITUTE OF TECHNOLOGY BE LIABLE
 * FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * Except as contained in this notice, the name of the Massachusetts
 * Institute of Technology shall not be used in advertising or otherwise
 * to promote the sale, use or other dealings in this Software without
 * prior written authorization from the Massachusetts Institute of
 * Technology.
 *  
 */

#ifndef _CILK_COMPAT_H
#define _CILK_COMPAT_H

#include <cilk.h>
#include <cilk-lib.h>

#ifndef _CILK_SEQUENTIAL_H

/***********************************************************\
 * Memory allocator functions
\***********************************************************/

/* alloca() --- still an open problem */
#undef alloca
#define alloca Cilk_alloca

/* malloc() and company */
#define malloc Cilk_malloc
#define memalign Cilk_memalign
#define free Cilk_free
#define calloc Cilk_calloc
#define realloc Cilk_realloc
#define valloc Cilk_valloc

/***********************************************************\
 * Random number generator
\***********************************************************/

#define rand Cilk_rand
#define srand Cilk_srand

/***********************************************************\
 * Assertion
\***********************************************************/

#undef  assert
#define assert Cilk_assert

#endif				/* _CILK_SEQUENTIAL_H */

#endif				/* _CILK_COMPAT_H */
